MPD: OggDecoder Class Reference

MPD 0.20.15

Public Member Functions | Protected Member Functions | Protected Attributes
OggDecoder Class Reference

`#include <OggDecoder.hxx>`

Inheritance diagram for OggDecoder:
[legend]
Collaboration diagram for OggDecoder:
[legend]

## Public Member Functions
| OggDecoder (DecoderReader &reader)
bool | Seek (OggSyncState &oy, uint64_t where_frame)
Public Member Functions inherited from OggVisitor
| OggVisitor (Reader &reader)
long | GetSerialNo () const
void | Visit ()
void | PostSeek ()
| Call this method after seeking the Reader. More...

## Protected Member Functions
ogg_int64_t | UpdateEndGranulePos ()
bool | IsSeekable () const
void | SeekGranulePos (ogg_int64_t where_granulepos)
Protected Member Functions inherited from OggVisitor
virtual void | OnOggBeginning (const ogg_packet &packet)=0
virtual void | OnOggPacket (const ogg_packet &packet)=0
virtual void | OnOggEnd ()=0

## Protected Attributes
DecoderClient & | client
InputStream & | input_stream

## Detailed Description

Definition at line 27 of file OggDecoder.hxx.

## Constructor & Destructor Documentation

## ◆ OggDecoder()

OggDecoder::OggDecoder | ( | DecoderReader & | reader | ) |
| inlineexplicit

Definition at line 35 of file OggDecoder.hxx.

## Member Function Documentation

## ◆ IsSeekable()

bool OggDecoder::IsSeekable | ( |  | ) | const
| inlineprotected

Definition at line 55 of file OggDecoder.hxx.

## ◆ Seek()

bool OggDecoder::Seek | ( | OggSyncState & | oy,
|  | uint64_t | where_frame
| ) |  |

## ◆ SeekGranulePos()

void OggDecoder::SeekGranulePos | ( | ogg_int64_t | where_granulepos | ) |
| protected

## ◆ UpdateEndGranulePos()

ogg_int64_t OggDecoder::UpdateEndGranulePos | ( |  | ) |
| inlineprotected

Definition at line 51 of file OggDecoder.hxx.

## Field Documentation

## ◆ client

DecoderClient& OggDecoder::client
| protected

Definition at line 31 of file OggDecoder.hxx.

## ◆ input_stream

InputStream& OggDecoder::input_stream
| protected

Definition at line 32 of file OggDecoder.hxx.

The documentation for this class was generated from the following file:

- decoder/plugins/OggDecoder.hxx